Skip to main content
`Ctrl`+`K`

# DMPlexGetGlobalToNaturalSF

Gets the `PetscSF` for mapping Global `Vec` to the Natural `Vec`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGlobalToNaturalSF(DM dm, PetscSF *naturalSF)

## Input Parameter

- dm - The `DM`

## Output Parameter

- naturalSF - The `PetscSF`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `PetscSF`, `DMPlexDistribute()`, `DMPlexDistributeField()`, `DMPlexCreateGlobalToNaturalSF()`, `DMPlexSetGlobaltoNaturalSF`

## Level

intermediate

## Location

src/dm/impls/plex/plexnatural.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages